:root {
  /* layout */
  --side-padding: 60px;
}

.vsc-controller {
  display: none;
}

.br-mobile {
  display: none;
}

@media (max-width: 768px) {
  .br-desktop {
    display: none;
  }

  .br-mobile {
    display: block;
  }
}

#mainContent {
  overflow-x: clip;
}

/* common-text-animation */
.common-text-trigger {
  opacity: 0;
  transform: translateY(120px);
  transition: 0.3s ease;
}
.common-text-trigger.common-text-animation {
  opacity: 1;
  transform: translateY(0);
}

/* Tooltip-wrapper component */
@keyframes toolTipUpDown {
  100% {
    transform: translateY(-10px);
  }
}

.tooltip-wrapper {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -100%);
}

.tooltip-wrapper .tooltip-text {
  position: relative;
  width: max-content;
  min-width: 116px;
  margin-bottom: 7px;
  padding: 6px 12px;
  color: #fff;
  font-size: 14px;
  font-weight: 500;
  line-height: 160%;
  text-align: center;
  background: #3a4a40;
  border-radius: 8px;
  animation: toolTipUpDown 1s ease-in-out infinite alternate;
}

.tooltip-wrapper .tooltip-text::after {
  position: absolute;
  bottom: -7px;
  left: 50%;
  content: '';
  width: 10px;
  height: 9px;
  transform: translateX(-50%);
  background: url('../images/icon-arrow-tooltip.svg') no-repeat center / contain;
}

@media (max-width: 1919px) {
  .tooltip-wrapper .tooltip-text {
    min-width: 97px;
    padding: 5px 8px;
    font-size: 12px;
    border-radius: 6px;
  }
}

@media (max-width: 1599px) {
  .tooltip-wrapper .tooltip-text {
    min-width: 101px;
    padding: 5px 10px;
    border-radius: 5px;
  }
}

/* arrowCursor component */
[id^='arrowCursor'] {
  position: fixed;
  top: 0;
  left: 20px;
  display: none;
  align-items: center;
  z-index: 999;
}

[id^='arrowCursor'] .cursor-inner {
  z-index: 999;
}

@media screen and (max-width: 1599px) {
  [id^='arrowCursor'] .cursor-inner svg {
    width: 100px;
    height: 100px;
  }
}

/* title-slide-square component */
.title-slide-square {
  position: relative;
  z-index: 1;
  color: #111827;
  font-size: 72px;
  font-weight: 600;
  line-height: 130%;
  letter-spacing: -1.44px;
  text-align: center;
}

.title-slide-square .highlight {
  position: relative;
}

.title-slide-square .highlight::before {
  position: absolute;
  top: 50%;
  left: 0;
  z-index: -1;
  content: '';
  width: 100%;
  height: 1.2em;
  background: #6ee7b7;
  transform: translateY(-50%);
  clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
  transition: clip-path 0.5s;
}

.title-slide-square.animation .highlight::before {
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
}

@media (max-width: 1919px) {
  .title-slide-square {
    font-size: 64px;
    letter-spacing: -1.28px;
  }
}

@media (max-width: 1599px) {
  .title-slide-square {
    font-size: 56px;
    letter-spacing: -1.12px;
  }
}

@media (max-width: 1024px) {
  .title-slide-square {
    font-size: 32px;
    letter-spacing: -0.32px;
  }
}

/* title-slide-in component */
.title-slide-in {
  position: relative;
  padding-top: 146px;
  text-align: center;
}

.title-slide-in .title {
  position: relative;
  color: #111827;
  font-size: 80px;
  font-weight: 600;
  line-height: 120%;
  letter-spacing: -1.6px;
}

.title-slide-in .slide-in {
  position: absolute;
  top: 0;
  left: 50%;
  color: #f3f4f6;
  font-size: 200px;
  font-weight: 600;
  line-height: 120%;
  letter-spacing: -4px;
  transform: translateX(-50%);
  transition: clip-path 0.5s;
  clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
  white-space: pre;
}

.title-slide-in.common-text-animation .slide-in {
  transition-delay: 0.2s;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
}

.mode-dark .title-slide-in .title {
  color: #ffffff;
}

.mode-dark .title-slide-in .slide-in {
  color: rgba(255, 255, 255, 0.05);
}

@media (max-width: 1919px) {
  .title-slide-in {
    padding-top: 110px;
  }

  .title-slide-in .title {
    font-size: 72px;
    letter-spacing: -1.32px;
  }

  .title-slide-in .slide-in {
    font-size: 166px;
    letter-spacing: -1.32px;
  }
}

@media (max-width: 1599px) {
  .title-slide-in {
    padding-top: 71px;
  }

  .title-slide-in .title {
    font-size: 64px;
    letter-spacing: -0.96px;
  }

  .title-slide-in .slide-in {
    font-size: 120px;
    letter-spacing: -2.04px;
  }
}

@media (max-width: 768px) {
  .title-slide-in {
    padding-top: 40px;
  }

  .title-slide-in .title {
    font-size: 36px;
    line-height: 130%;
    letter-spacing: -0.36px;
  }

  .title-slide-in .slide-in {
    font-size: 56px;
    letter-spacing: -1.12px;
  }
}

/* mobile-animation-trigger */
@media (max-width: 768px) {
  #mainContent .mobile-animation-trigger {
    opacity: 0;
    transform: translateY(120px);
    transition: 0.3s ease;
  }
  #mainContent .mobile-animation-trigger.mobile-animation {
    opacity: 1;
    transform: translateY(0);
  }
}
